DEBIAN-EDU-LTSP-INSTALL(8)

NAME
debian-edu-ltsp-install - setup, configure and manage LTSP chroot and SquashFS image

SYNOPSIS
debian-edu-ltsp-install --arch <amd64|i386> --dist <stable|testing|sid> --dns_server <10.0.2.2|dns server ip> --diskless_workstation <yes|no> --thin_type <bare|display|desktop>

DESCRIPTION

Tool to configure a Debian Edu system with 'LTSP-Server' profile' for both diskless workstations and also thin clients (using X2Go). The configuration applies to a Debian Edu machine in the internal backbone network with two NICs. This system needs to be registered using GOsa² in case it isn't the main server (i.e. a 'combined' server).
This script applies to a system with two NICs on the internal backbone network.

OPTIONS
These are the options that can appear on the command line:

--arch <amd64|i386>
    takes effect for a thin client chroot setup, default value is the system architecture one

--dist <stable|testing|sid>
    takes effect for a LTSP/X2Go client chroot setup, default value is the one the LTSP server is running

--dns_server <10.0.2.2|dns server ip>
    --dns_server defaults to 10.0.2.2 if omitted

--diskless_workstation <yes|no>
    defaults to yes if option is omitted

--dlw <yes|no>
    used to create a diskless workstation LTSP chroot (root fs via NFS), default is no

--img <yes|no>
    takes effect for LTSP diskless workstation chroot setup, default is no

--desktop<xfce|cinnamon|gnome|kde|lxde|lxqt|mate|none>
    takes effect for LTSP diskless workstation chroot setup, default is xfce

--thin_type <bare|display|desktop>

no default value, these are available:
bare:    preconfigured x2go client running via 'startx' as user 'thin' with
sound and client side mass storage support
display: x2gothinclient running in display mode
desktop: x2gothinclient running in minidesktop mode

EXAMPLE

debian-edu-ltsp-install --arch amd64
creates 64-bit diskless workstation support.

debian-edu-ltsp-install --arch amd64 --dist bullseye --thin_type bare
creates diskless workstation and 64-bit thin client support, the LTSP client
boot defaults to diskless workstation.

debian-edu-ltsp-install --arch i386 --diskless_workstation no --thin_type bare
creates additional 32-bit thin client support

debian-edu-ltsp-install --diskless_workstation yes
updates the diskless workstation SquashFS image

debian-edu-ltsp-install --dlw yes --diskless_workstation no
creates a diskless workstation LTSP chroot. About 15 GiB additional disk space is needed. In the default case, run the commands
    lvresize -L+15G /dev/vg_system/srv+ltsp and resize2fs /dev/vg_system/srv+ltsp

debian-edu-ltsp-install --dlw yes --img yes --diskless_workstation no
creates a diskless workstation LTSP chroot and the related SquashFS image. About even 5 GiB more additional diskspace is needed.

AUTHORS
Debian Edu Team, https://blends.debian.org/edu